Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeprocessinginstructionnodeattributes Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeprocessinginstructionnodeattributes (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method invoked on a Processing

Instruction Node returns null.

Retrieve the Processing Instruction node and invoke

the "getAttributes()" method. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096

Definition at line 49 of file nodeprocessinginstructionnodeattributes.java.

## Constructor & Destructor Documentation

nodeprocessinginstructionnodeattributes::nodeprocessinginstructionnodeattributes | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file nodeprocessinginstructionnodeattributes.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String nodeprocessinginstructionnodeattributes::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file nodeprocessinginstructionnodeattributes.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeprocessinginstructionnodeattributes";
    00071    }

void nodeprocessinginstructionnodeattributes::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file nodeprocessinginstructionnodeattributes.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(nodeprocessinginstructionnodeattributes.class,args);
    00074    }

void nodeprocessinginstructionnodeattributes::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file nodeprocessinginstructionnodeattributes.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList testList;
    00060       Node piNode;
    00061       NamedNodeMap attrList;
    00062       doc = load("staff");
    00063       testList = doc.getChildNodes();
    00064       piNode = testList.item(0);
    00065       attrList = piNode.getAttributes();
    00066       assertNull("nodeProcessingInstructionNodeAttrAssert1",attrList);
    00067
    00068    }

The documentation for this class was generated from the following file:

- nodeprocessinginstructionnodeattributes.java